sudo: required
services:
  - docker

language: cpp
os:
  - linux
  - osx

compiler:
  - clang
  - gcc

env:
    global:
      - ENCRYPTION_LABEL="8f886150b5ec"
      - SFTP_UPLOAD_SOURCE="True"
      - TARBALL_EXTRA_ARGS="--exclude=doc/www --exclude=doc/sphinx"
    matrix:
      - OS=el DIST=6 PACK=rpm
      - OS=el DIST=7 PACK=rpm
      - OS=fedora DIST=23 PACK=rpm
      - OS=fedora DIST=24 PACK=rpm
      - OS=fedora DIST=25 PACK=rpm
      - OS=fedora DIST=rawhide PACK=rpm
      - OS=ubuntu DIST=trusty PACK=deb
      - OS=ubuntu DIST=precise PACK=deb
      - OS=ubuntu DIST=xenial PACK=deb
      - OS=ubuntu DIST=yakkety PACK=deb
      - OS=debian DIST=jessie PACK=deb
      - OS=debian DIST=wheezy PACK=deb
      - OS=debian DIST=stretch PACK=deb
      - OS=debian DIST=sid PACK=deb
      - PACK=none
      - PACK=source

matrix:
    allow_failures:
      - env: PACK=source
      - env: OS=el DIST=6 PACK=rpm
      - env: OS=el DIST=7 PACK=rpm
      - env: OS=fedora DIST=23 PACK=rpm
      - env: OS=fedora DIST=24 PACK=rpm
      - env: OS=fedora DIST=25 PACK=rpm
      - env: OS=fedora DIST=rawhide PACK=rpm
      - env: OS=ubuntu DIST=precise PACK=deb
      - env: OS=ubuntu DIST=trusty PACK=deb
      - env: OS=ubuntu DIST=xenial PACK=deb
      - env: OS=ubuntu DIST=yakkety PACK=deb
      - env: OS=debian DIST=jessie PACK=deb
      - env: OS=debian DIST=wheezy PACK=deb
      - env: OS=debian DIST=stretch PACK=deb
      - env: OS=debian DIST=sid PACK=deb

    exclude:
      - env: OS=el DIST=6 PACK=rpm
        compiler: clang
      - env: OS=el DIST=7 PACK=rpm
        compiler: clang
      - env: OS=fedora DIST=23 PACK=rpm
        compiler: clang
      - env: OS=fedora DIST=24 PACK=rpm
        compiler: clang
      - env: OS=fedora DIST=25 PACK=rpm
        compiler: clang
      - env: OS=fedora DIST=rawhide PACK=rpm
        compiler: clang
      - env: OS=ubuntu DIST=precise PACK=deb
        compiler: clang
      - env: OS=ubuntu DIST=trusty PACK=deb
        compiler: clang
      - env: OS=ubuntu DIST=xenial PACK=deb
        compiler: clang
      - env: OS=ubuntu DIST=yakkety PACK=deb
        compiler: clang
      - env: OS=debian DIST=wheezy PACK=deb
        compiler: clang
      - env: OS=debian DIST=jessie PACK=deb
        compiler: clang
      - env: OS=debian DIST=stretch PACK=deb
        compiler: clang
      - env: OS=debian DIST=sid PACK=deb
        compiler: clang
      - env: PACK=source
        compiler: clang
      - env: OS=el DIST=6 PACK=rpm
        os: osx
      - env: OS=el DIST=7 PACK=rpm
        os: osx
      - env: OS=fedora DIST=23 PACK=rpm
        os: osx
      - env: OS=fedora DIST=24 PACK=rpm
        os: osx
      - env: OS=fedora DIST=25 PACK=rpm
        os: osx
      - env: OS=fedora DIST=rawhide PACK=rpm
        os: osx
      - env: OS=ubuntu DIST=precise PACK=deb
        os: osx
      - env: OS=ubuntu DIST=trusty PACK=deb
        os: osx
      - env: OS=ubuntu DIST=xenial PACK=deb
        os: osx
      - env: OS=ubuntu DIST=yakkety PACK=deb
        os: osx
      - env: OS=debian DIST=wheezy PACK=deb
        os: osx
      - env: OS=debian DIST=jessie PACK=deb
        os: osx
      - env: OS=debian DIST=stretch PACK=deb
        os: osx
      - env: OS=debian DIST=sid PACK=deb
        os: osx
      - os: osx
        compiler: gcc

script:
  - git clone https://github.com/tarantool/build.git
  - ./build/pack/travis.sh

notifications:
  irc:
    channels:
      - irc.freenode.net#tarantool
    on_success: change
    on_failure: always
  email: true

git:
  depth: 500
